<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    <meta name="generator" content="GitLab Pages">
    <title>Plain HTML site using GitLab Pages</title>
    <link rel="stylesheet" href="style.css">
  </head>
  <body>
    <div class="navbar">
      <a href="https://pages.gitlab.io/plain-html/">Plain HTML Example</a>
      <a href="https://gitlab.com/pages/plain-html/">Repository</a>
      <a href="https://gitlab.com/pages/">Other Examples</a>
    </div>

    <h1>Hello World!</h1>

    <p>
      This is a simple plain-HTML website on GitLab Pages, without any fancy static site generator.
    </p>


  <div id="login">
      <h2>Login section</h2>
      <form>
          Login Name:<input name="user" type="email" pattern=".+@tesena.com" required/>
          Password:<input name="pswd" type="password" required/>
          <input name="login" type="submit" value="Login"/>
      </form>
  </div>

  <div id="logedin" style="display:none;">
      <h2>Welcome <span id="user"></span>!</h2>
      <a href=".">Logout</a>
  </div>

  <script language="JavaScript">
        const queryString = window.location.search;
        const urlParams = new URLSearchParams(queryString);
        const user = urlParams.get('user')

        if (user=="marcel.veselka@tesena.com") {
          document.getElementById("login").style.display='none';
          document.getElementById("logedin").style.display='inline';
          document.getElementById("user").innerHTML = user;
        }
  </script>


  </body>
</html>

